org.eclipse.ease.lang.python.jython.debugger

## Class JythonDebugger

- java.lang.Object
- - org.eclipse.ease.debugging.AbstractEaseDebugger
  - - org.eclipse.ease.lang.python.debugger.PythonDebugger
    - - org.eclipse.ease.lang.python.jython.debugger.JythonDebugger

All Implemented Interfaces:
  IEventProcessor, IExecutionListener

    public class JythonDebugger
    extends PythonDebugger

Extension of `PythonDebugger` for overloading methods to have `PyObject` parameter wrappers.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.lang.python.debugger.PythonDebugger

`PythonDebugger.PythonDebugFrame`

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.AbstractEaseDebugger

`AbstractEaseDebugger.ThreadState`

### Field Summary

### Fields inherited from class org.eclipse.ease.lang.python.debugger.PythonDebugger

`PYTHON_DEBUGGER_VARIABLE`

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`JythonDebugger(IDebugEngine engine, boolean showDynamicCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCodeTracer(org.python.core.PyObject tracer)` Overload of `PythonDebugger.setCodeTracer(org.eclipse.ease.lang.python.debugger.ICodeTracer)` wrapping `PyObject` to `JythonCodeTracer`.
`void` `traceDispatch(org.python.core.PyObject frame, java.lang.String type)` Overload of `PythonDebugger.traceDispatch(org.eclipse.ease.lang.python.debugger.IPyFrame, String)` wrapping `PyObject` to `IPyFrame`.

### Methods inherited from class org.eclipse.ease.lang.python.debugger.PythonDebugger

`execute, getScriptRegistry, setCodeTracer, traceDispatch`

### Methods inherited from class org.eclipse.ease.debugging.AbstractEaseDebugger

`fireDispatchEvent, getExceptionStacktrace, getExceptionStacktrace, getStacktrace, handleEvent, isTrackedScript, notify, setDispatcher, setScriptRegistry`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.debugging.dispatcher.IEventProcessor

`handleEvent, setDispatcher`

### Methods inherited from interface org.eclipse.ease.IExecutionListener

`notify`

### Constructor Detail

#### JythonDebugger

    public JythonDebugger(IDebugEngine engine,
                          boolean showDynamicCode)

See Also:
  `PythonDebugger#PythonDebugger(IScriptEngine, boolean)`

### Method Detail

#### setCodeTracer

    public void setCodeTracer(org.python.core.PyObject tracer)

Overload of `PythonDebugger.setCodeTracer(org.eclipse.ease.lang.python.debugger.ICodeTracer)` wrapping `PyObject` to `JythonCodeTracer`.

Parameters:
  `tracer` - `PyObject` representation of code tracer.

#### traceDispatch

    public void traceDispatch(org.python.core.PyObject frame,
                              java.lang.String type)

Overload of `PythonDebugger.traceDispatch(org.eclipse.ease.lang.python.debugger.IPyFrame, String)` wrapping `PyObject` to `IPyFrame`.